/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.crop.nl;

import nl.cloudfarming.client.crop.Crop;
import nl.cloudfarming.client.crop.Race;
import org.openide.util.NbBundle;

/**
 *
 *
 * @author Timon Veenstra
 */
public enum  NlCrop implements Crop {

    POOTGOED(1,"crop.NL.pootgoed",NlRace.FRIESLANDER,0l);

    private NlCrop(long id,  String name, Race race,  Long governmentalId) {
        this.name = name;
        this.governmentalId = governmentalId;
        this.id = id;
        this.race = race;
    }   

    private final String name;
    private final Long governmentalId;
    private final Long id;
    private final Race race;


    @Override
    public String getName() {
        return NbBundle.getMessage(this.getClass(), this.name);
    }

    @Override
    public Long getGovernmentalId() {
        return this.governmentalId;
    }

    @Override
    public Long getId() {
        return this.id;
    }

    @Override
    public Race getRace() {
        return this.race;
    }
    
}
